PW et Nokia N900  

Support français pour le kit Panogear
no avatar
Yannick77310
New member
 
Posts: 5
Joined: Sat May 14, 2011 2:59 pm
Location: Saint-Fargeau Ponthierry

PW et Nokia N900

by Yannick77310 » Sun May 15, 2011 10:18 am

Bonjour à  toutes et tous, :)

Nouveau sur le forum, mon grand dada en matière de photographie, c'est d'essayer tout ce qui me passe à  portée de main pour créer une image avec mes boîtiers numériques (Canon 7D et 400D)! Sténopé, zone plate, retournement d'objectif, prisme, boule de verre, HDR... tout y passe! :P Dans mon petit univers, la netteté n'a pas la partie belle. Partant du postulat selon lequel une belle photographie n'est pas forcément une photographie nette, tout est bon pour créer une image!! à‡a, c'est pour la présentation du personnage. ;)

Maintenant, j'ai littéralement flashé l'an dernier sur la Panogear, et suivi avec beaucoup d'assiduité les discussions afférentes à  son développement, et aux premiers retours d'expérience. L'existence même de ce viseur, et ses possibilités de pilotage, me laisse entrevoir des possibilités artistiques sans égal. Je me situe aux antipodes de la photographie gigapixel. M'en étant vu offrir un exemplaire par ma meilleure amie, j'ai l'intention cette année d'emmener ma Panogear sur les falaises de Belle-àŽle-en-Mer (plus qu'un mois et demi, et vive les vacances!!! :lol:). à‡a, c'est pour mon environnement photographique.

L'an dernier, j'avais mené sur les falaises belliloises une campagne HDR basée sur le logiciel de contrôle BreezeSys DSLR Remote Pro embarqué sur un ASUS Eee PC 1001 HA. Ce même PC portable, basé sur Windows 7, embarque d'ailleurs aussi PapyWizard (2.1.20+). Le hic, c'est l'encombrement d'un Net Book quand on part en campagne sur les falaises bretonnes. Peu pratique à  manipuler... :( Alors j'ai pris chez mon fournisseur téléphonique préféré un Samsung Galaxy S, sous Android, en priant pour la sortie plus ou moins annoncée de PW sous cet OS... Mais ladite sortie se faisant attendre, :rolleyes: j'ai fait rentrer récemment un Nokia N900 (une occasion qu'il aurait été criminel de ne pas saisir!!), exclusivement dédié à  cette tâche: la conduite de ma Panogear! Ca, c'est pour le contexte matériel.

A présent, donc, j'en viens à  mes questions. Habitué de Windows (personne n'est parfait!!), je découvre par là  même l'étonnant (le déroutant!!!) univers de Linux, dans ses différentes déclinaisons, son organisation spécifiques (paquets, catalogues...). Et là  commencent les soucis. Moi, ce que je veux, c'est "simplement" (c'est un mot autorisé, ça???) installer PW sur mon N900. Après, qu'il tourne, qu'il bogue, on verra. Mais déjà , l'installer, vu de mon humble univers windowsien, ce serait une prouesse!

Alors, voilà  comment je procède. Et il y a forcément un bogue, parce qu'à  ce jour, PW n'est toujours pas installé... loin de là !!!

Pour flasher le N900, aucun souci. Bon, OK, après quelques arrachages de cheveux liés aux 64 bits de mon système principal, j'ai pu flasher correctement depuis le Net Book (32 bits), d'abord en PR-1.2, puis en PR-1.3. Au besoin, j'ai téléchargé ceci sur mon disque dur des fois que...:

eMMC content 1.2009.41-1 (RX-51_2009SE_1.2009.41-1.VANILLA_PR_EMMC_MR0_ARM.bin)
eMMC content 10.2010.13-2 (RX-51_2009SE_10.2010.13-2.VANILLA_PR_EMMC_MR0_ARM.bin)
OS 2009 version 1.2009.42-11RX-5 (1_2009SE_1.2009.42-11_PR_COMBINED_MR0_ARM.bin)
OS 2009 version 2.2009.51-1 (RX-51_2009SE_2.2009.51-1_PR_COMBINED_MR0_ARM.bin)
PR 1.1.1 version 3.2010.02-8 (RX-51_2009SE_3.2010.02-8_PR_COMBINED_MR0_ARM.bin)
PR 1.2 version 10.2010.19-1 (RX-51_2009SE_10.2010.19-1_PR_COMBINED_MR0_ARM.bin)
PR 1.3 version 20.2010.36-2 (RX-51_2009SE_20.2010.36-2_PR_COMBINED_MR0_ARM.bin)

(flasher: maemo_flasher-3.5_2.5.2.2.exe)

Ensuite, je suis allé sur le site de PW, page Téléchargements (pas d'affolement, c'est juste pour montrer la démarche!!). J'ai cliqué sur papywizard_2.1.21-1_all.deb. Evidemment, le N900 me déclare l'installation impossible, car il manque Python2.5, Python2.5-runtime, Python2.5-bluez, Python2.5-qt4-core, Python2.5-qt4-gui et python2.5-qt4-network.

Je me mets en quête de Python2.5-runtime (arbitrairement). E là , ça se corse encore, parce que, sans critique aucune, pour un Linux-néophyte comme moi, les noms utilisés pour désigner les paquets, fichiers, etc... relèvent d'un certain ésotérisme.

J'ai vu du Python2.5 à  2.7, j'ai vu du PyMaemo, du QT4, des démos, des Extras, des Extras-Devel, des Hackers (sic!)... des pages d'installation sur N770, N8x0... mais alors pour le N900, je n'ai rien vu, rien qui soit bien clair, rien qui saute vraiment aux yeux. Et quand je trouve par inespéré un fichier à  charger, c'est pour mieux lire "incompatibilité, conflit de version".

Donc, quand vous aurez séché vos larmes de rire (ouais, bon, ça va!!), si quelqu'un a réussi à  installer PW sur son N900, j'aimerais beaucoup, mais alors vraiment beaucoup, qu'il m'indique les catalogues, les pages... où récupérer les fichiers ad hoc. Et quand j'aurai réussi à  installer à  mon tour PW sur mon N900, confirmé la manipulation, je veux bien écrire un petit tuto pour les néophytes comme moi (AH oui, j'oubliais: mon métier, c'est rédacteur technique... Si ça peut servir, ma foi, pourquoi pas? J'en serais ravi! ;)).

Amicalement,
Yannick

no avatar
mediavets
Moderator
 
Posts: 14288
Joined: Wed Nov 14, 2007 2:12 pm
Location: Isleham, Cambridgeshire, UK.

by mediavets » Sun May 15, 2011 10:44 am

Welcome to the forum...

I am not aware of anyone who has managed to install and run Papywizard successfully on an N900.

If I'm mistaken I hope someone will correct me.
Andrew Stephens
Many different Nodal Ninja and Agnos pano heads. Merlin/Panogear mount with Papywizard on Nokia Internet tablets.
Nikon D5100 and D40, Sigma 8mm f3.5 FE, Nikon 10.5mm FE, 35mm, 50mm, 18-55mm, 70-210mm. Promote control.

no avatar
Yannick77310
New member
 
Posts: 5
Joined: Sat May 14, 2011 2:59 pm
Location: Saint-Fargeau Ponthierry

by Yannick77310 » Sun May 15, 2011 11:07 am

Hi Mediavets!

Thanks for your fast answer!!
I thought I read that PW was ready to be installed on Maemo5 ... Does it mean I must sell my N900??

Friendly,
Yannick

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Sun May 15, 2011 5:01 pm

Un petit groupe de personnes ont réussi à  installer Papywizard sur le N900 (je crois qu'i lfaut plus ou moins suivre les explication pour le N8x0, sauf en ce qui concerne le flashage de l'OS).

Mais je crois que Papywizard ne tourne pas super bien : certains menus ne répondent pas. Comme je n'ai pas de maemo5 sous la main, je ne peux pas aider plus...
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
Yannick77310
New member
 
Posts: 5
Joined: Sat May 14, 2011 2:59 pm
Location: Saint-Fargeau Ponthierry

by Yannick77310 » Sun May 15, 2011 8:08 pm

Alors ça, ce n'est pas vraiment ce que j'appelle une bonne nouvelle! Ainsi donc, il n'y aurait guère qu'un N8x0 pour faire convenablement tourner PW??

no avatar
tived
Member
 
Posts: 796
Joined: Fri Jul 11, 2008 3:49 pm
Location: Dane in Western Australia

by tived » Mon May 16, 2011 3:17 am

I managed to install PW on my N900, but I could not get it to communicate via BT to the Merlin using Claudes BT device.
unfortunately my touchscreen on the N900 has since failed - AUD$400 to repair! I don't think so!

Henrik

PS: Welcome Yannick!

no avatar
Yannick77310
New member
 
Posts: 5
Joined: Sat May 14, 2011 2:59 pm
Location: Saint-Fargeau Ponthierry

by Yannick77310 » Mon May 16, 2011 7:21 am

Ouch!!! I think I have to resell immediatly my N900, in order to urgently find a cheap N810.
Buying a N900 was not a good idea, I think so!!
Thanks a lot!
Yannick

User avatar
claudevh
Member
 
Posts: 1341
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)

by claudevh » Mon May 16, 2011 11:27 am

Yannik,

Bonjour et bienvenue ... :)

Les instructions à  suivre pour l'installation sur Nokia N8X0 ( et essais à  faire de la même manière pour ton N900 ... cela ne coûte rien d'essayer ! ;)) sont ci-après :
http://www.autopano.net/wiki-en/action/view/Install_Papywizard_v2_on_Nokia_N8x0

Comme sous Linux (Maemo) tout est "case sensitive!), le mieux est de connecter le N900 à  internet et de procéder par "coupier/coller", tu mets ainsi toutes les chances de ton côté !

Good luck :D
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

no avatar
Yannick77310
New member
 
Posts: 5
Joined: Sat May 14, 2011 2:59 pm
Location: Saint-Fargeau Ponthierry

by Yannick77310 » Mon May 16, 2011 10:52 pm

Thanks a lot, tout le monde!!

Alors, je résume: l'un des N900 (ouais, maintenant, j'en ai deux sur les bras... Une longue histoire...) est monté en Maemo5 PR1-3.
Le coup du case-sensitive, ça, j'avais déjà  goûté! ;) Ca m'a ruiné le week-end.

J'ai regardé la page d'installation qu'un autre éminent membre du forum m'avait déjà  conseillé de suivre (salut, Vincèn!!!) et j'arrive à  ces constatations:
-le N810 est au mieux monté en OS2008 qui, sauf erreur de ma part, s'appelle aussi Maemo4 (vous me dîtes, hein, si j'ai faux!!),
-le N900 est au plus mal monté en 0S2009. J'ai trois versions disponibles que m'autorise Nokia dans son infinie bonté (tu sais, quand tu rentres le code IMEI, pour accéder à  la licence et aux téléchargements des images pour flasher la bêbête): PR1.1-1, PR1-2 et PR1.3, avec deux versions EMMC décrites plus haut. Déjà  là , il y a conflit. Si on peut monter OS2008 sur le N900, c'est qu'on m'a caché la vérité (je ne sais pas, j'imagine des choses...),
-j'ai bien saisi le catalogue (casse comprise) et dedans, pas de trace de Python. Là , gros hic, parce que Python2.5-runtime et tout le toutim qui l'accompagne, si quelqu'un sait où c'est caché, là , je suis preneur!!
-je peux installer rootsh sans souci, mais pas de trace de maemo-python-device-env. Lui, je sais que j'avais réussi à  un moment dans le week-end (il fut long le week-end!!) à  le trouver et l'installer... Mais pour refaire l'exploit, il faudra demander une intervention divine, parce que là , j'avoue que je suis un peu faible.

Quand malgré tout durant le week-end, j'ai pu installer maemo-python-device-env, je me suis mis en quête de Python2.5-runtime et sa clique... Quand j'ai trouvé les fichiers (si, si, c'est arrivé une fois, mais où????), il me manquait des fichiers "qtlib-je-ne-sais-trop-quoi"...

Elle est longue, la route vers le succès, elle est looooongue! Mais c'est toujours plus dur pour les pionniers! Les suiveurs ont déjà  la route tracée. Quoi? Il y a déjà  des pionniers? Mais ils sont oùùùù? HELP!!!

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Tue May 17, 2011 6:21 am

Pour retrouver les paquets en question, tu peux te servir du site maemo ; y'a un outil de recherche.

Sinon, python et ses modules ne s'installent qu'en ligne de commande ; ils n'apparaissent pas dans le gestionnaire de paquets, car ce ne sont pas des applis finales.
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100


Return to Panogear Français

Who is online

Users browsing this forum: No registered users and 1 guest